summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_rpc.sh
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2005-06-08 18:01:25 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:17:50 -0500
commita94d89d2d4a5e72abd38143b9455d81b74777277 (patch)
tree12841af3f239525a7ab1be040b5820f49cd3e227 /source4/script/tests/test_rpc.sh
parentbe6b73de65201c5f0dd147918a259faa62e7faa1 (diff)
downloadsamba-a94d89d2d4a5e72abd38143b9455d81b74777277.tar.gz
samba-a94d89d2d4a5e72abd38143b9455d81b74777277.tar.bz2
samba-a94d89d2d4a5e72abd38143b9455d81b74777277.zip
r7402: - don't stop after a failed test
- some more fixes metze (This used to be commit e90b83d03887ed713745280267caa6f2fd549e0f)
Diffstat (limited to 'source4/script/tests/test_rpc.sh')
-rwxr-xr-xsource4/script/tests/test_rpc.sh21
1 files changed, 17 insertions, 4 deletions
diff --git a/source4/script/tests/test_rpc.sh b/source4/script/tests/test_rpc.sh
index abe5b4d349..9d87e63865 100755
--- a/source4/script/tests/test_rpc.sh
+++ b/source4/script/tests/test_rpc.sh
@@ -4,7 +4,7 @@
# that they stay passing
ncacn_np_tests="RPC-SCHANNEL RPC-ECHO RPC-DSSETUP RPC-SAMLOGON RPC-ALTERCONTEXT RPC-MULTIBIND"
ncalrpc_tests="RPC-SCHANNEL RPC-ECHO RPC-DSSETUP RPC-SAMLOGON RPC-ALTERCONTEXT RPC-MULTIBIND"
-ncacn_ip_tcp_tests="RPC-SCHANNEL RPC-ECHO RPC-SAMLOGON RPC-ALTERCONTEXT RPC-MULTIBIND"
+ncacn_ip_tcp_tests="RPC-SCHANNEL RPC-ECHO RPC-DSSETUP RPC-SAMLOGON RPC-ALTERCONTEXT RPC-MULTIBIND"
if [ $# -lt 4 ]; then
cat <<EOF
@@ -30,11 +30,24 @@ testit() {
cat test.$$;
rm -f test.$$;
echo "TEST FAILED - $cmdline";
- exit 1;
+ return 1;
fi
rm -f test.$$;
+ return 0;
}
+testok() {
+ name=`basename $1`
+ failed=$2
+ if [ x"$failed" = x"0" ];then
+ echo "ALL OK ($name)";
+ else
+ echo "$failed TESTS FAILED ($name)";
+ fi
+ exit $failed
+}
+
+failed=0
for bindoptions in connect sign seal sign,seal spnego spnego,sign spnego,seal validate padcheck bigendian bigendian,seal; do
for transport in ncalrpc ncacn_np ncacn_ip_tcp; do
case $transport in
@@ -44,9 +57,9 @@ for bindoptions in connect sign seal sign,seal spnego spnego,sign spnego,seal va
esac
for t in $tests; do
echo Testing $t on $transport with $bindoptions
- testit $VALGRIND bin/smbtorture $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*"
+ testit $VALGRIND bin/smbtorture $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*" || failed=`expr $failed + 1`
done
done
done
-echo "ALL OK";
+testok $0 $failed